Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226503 - Merge Review: tree
Summary: Merge Review: tree
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:12 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-07 12:32:32 UTC
ruben: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:12:25 UTC
Fedora Merge Review: tree

http://cvs.fedora.redhat.com/viewcvs/devel/tree/
Initial Owner: twaugh@redhat.com

Comment 1 Ruben Kerkhof 2007-02-04 16:25:25 UTC
Hi there,

Review for release 5:
* RPM name is OK
* Source tree-1.5.0.tgz is the same as upstream
* Builds fine in mock
* File list looks OK

Needs work:
* BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  (wiki: PackagingGuidelines#BuildRoot)
* Missing SMP flags. If it doesn't build with it, please add a comment
  (wiki: PackagingGuidelines#parallelmake)
* Package is marked as relocatable, please check.
  (wiki: PackagingGuidelines#RelocatablePackages)
* Spec file: some paths are not replaced with RPM macros
  (wiki: QAChecklist item 7)
* The package should contain the text of the license
  (wiki: Packaging/ReviewGuidelines)
  Just add LICENSE from the source to %doc
* Preserve timestamps when you install files

Rpmlint is not silent:

Source RPM:
W: tree summary-ended-with-dot A utility which displays a tree view of the contents of directories.
W: tree hardcoded-prefix-tag /usr
W: tree hardcoded-path-in-buildroot-tag /var/tmp/tree-root

rpmlint of tree:
W: tree summary-ended-with-dot A utility which displays a tree view of the contents of directories.


Comment 2 Tim Waugh 2007-02-06 17:09:59 UTC
Thanks!  Should be all fixed in 1.5.0-6.fc7.

Comment 3 Ruben Kerkhof 2007-02-06 19:54:14 UTC
Thanks Tim, this looks good.
One question though, why do you rm -rf tree in %build? I think rpmbuild does this by default.

I don't see any blockers, so this package is approved. Please leave the ticket assigned to yourself.

Comment 4 Tim Waugh 2007-02-07 09:57:53 UTC
A previous tarball shipped the tree binary(!) along with the source.  Current
version doesn't do that so I'll remove the rm.

Thanks!

Can I set the resolution to 'RAWHIDE' or something?

Comment 5 Ruben Kerkhof 2007-02-07 12:27:51 UTC
If you want, you can set it to closed rawhide.
We're only planning on looking at the fedora-review flag. If that's a +, the
package is approved.

Thanks,

Ruben


Note You need to log in before you can comment on or make changes to this bug.